summaryrefslogtreecommitdiff
path: root/arch
diff options
context:
space:
mode:
Diffstat (limited to 'arch')
-rw-r--r--arch/s390/self-hosted-builder/actions-runner-rebuild.sh3
-rw-r--r--arch/s390/self-hosted-builder/actions-runner.Dockerfile5
2 files changed, 6 insertions, 2 deletions
diff --git a/arch/s390/self-hosted-builder/actions-runner-rebuild.sh b/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
index 0fcd67d4ec..7fded31785 100644
--- a/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
+++ b/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
@@ -24,6 +24,9 @@ podman container rm gaplib-actions-runner || true
# Delete old image
podman image rm localhost/zlib-ng/actions-runner || true
+# Prune all unused podman data
+podman system prune -f || true
+
# Build new image
podman build --squash -f actions-runner.Dockerfile --tag zlib-ng/actions-runner . 2>&1 | tee /var/log/actions-runner-build.log
diff --git a/arch/s390/self-hosted-builder/actions-runner.Dockerfile b/arch/s390/self-hosted-builder/actions-runner.Dockerfile
index 3faa078a96..7210caaebe 100644
--- a/arch/s390/self-hosted-builder/actions-runner.Dockerfile
+++ b/arch/s390/self-hosted-builder/actions-runner.Dockerfile
@@ -17,8 +17,9 @@ RUN cd /tmp && \
cd runner && \
git checkout $(git tag --sort=-v:refname | grep '^v[0-9]' | head -n1) && \
git log -n 1 && \
- wget https://github.com/ppc64le/gaplib/raw/refs/heads/main/patches/runner-main-sdk8-s390x.patch -O runner-sdk-8.patch && \
- git apply --whitespace=nowarn runner-sdk-8.patch && \
+ wget https://raw.githubusercontent.com/IBM/action-runner-image-pz/refs/heads/main/patches/runner-sdk8-s390x.patch -O runner-sdk8-s390x.patch && \
+ git apply --whitespace=nowarn runner-sdk8-s390x.patch && \
+
sed -i'' -e /version/s/8......\"$/$8.0.100\"/ src/global.json
RUN cd /tmp/runner/src && \